> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a version



## OpenAPI

````yaml PATCH /reporting/report_map_versions/{id}
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /reporting/report_map_versions/{id}:
    patch:
      summary: Update a version
      operationId: update-report-map-version
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                version:
                  type: object
                  properties:
                    name:
                      type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: rmv_abc123def456
                    report_map_id: rmp_abc123def456
                    name: v1-renamed
                    created_at: '2026-01-15T10:00:00.000Z'
                    updated_at: '2026-01-15T11:00:00.000Z'
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````